Subject: Re: bug#64185: proposal for new function: copy-line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Jun 2023 21:37:46 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Wed, 28 Jun 2023 20:42:10 +0300
> 
> > We can certainly do better.  I just pushed another 10× improvement, on
> > top of the previous performance doubling for duplicate-line.
> 
> Thanks, this is a nice improvement.  Too bad you did this on master.
> This means I can't push the patch that Eli approved to emacs-29 anymore,
> because whoever will merge emacs-29 to master next time will be forced
> to resolve the merge conflict, and this is not a trivial task.

You can install on emacs-29 with a commit log message which says
"don't merge to master".  Then Someone™ will have to do the equivalent
fix on master.